Subject: bug#62002: 28.2; 28.2; intermittent crash on scroll (arch + spacemacs)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Mar 2023 18:44:42 +0200

> From: [email-masked]
> Date: Mon, 06 Mar 2023 12:16:18 +0000
> 
> 
> This heisencrash appears to be triggered by scrolling in a buffer, but it is
> very intermittent.
> 
> My repro steps when they work, which is unfortunately not often:
> 
> - launch emacs
> - visit a file (eg .spacemacs)
> - scroll buffer using PgDn
> - Emacs crashes via SIGSEGV
> 
> I have tried reproducing while emacs is being run from within a gdb
> context, but I have yet to succeed.
> 
> This has happened five times since late February:
> 
> $ coredumpctl list emacs
> TIME                            PID  UID  GID SIG     COREFILE EXE                  SIZE
> Sat 2023-02-25 11:00:18 GMT    9767 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2     -
> Wed 2023-03-01 09:30:58 GMT    8139 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2     -
> Fri 2023-03-03 00:15:02 GMT    7400 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2     -
> Fri 2023-03-03 00:15:37 GMT  484270 1000 1000 SIGSEGV missing  /usr/bin/emacs-28.2     -
> Sun 2023-03-05 20:50:17 GMT 2710479 1000 1000 SIGSEGV present  /usr/bin/emacs-28.2 31.9M
> 
> Emacs was updated to 28.2-2 in January from Arch repo. I start emacs in a terminal via
> emacs [1], which is a symlink to /usr/bin/emacs-28.2:
> 
> /usr/bin/emacs-28.2: ELF 64-bit LSB pie executable, x86-64, version 1
> (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2,
> BuildID[sha1]=565e5e3ed18f0d957ef2f47c90ce6c8de9686522, for GNU/Linux
> 4.4.0, stripped
> 
> I have the spacemacs 'distro' / customisation set installed. I have not
> yet been able to replicate this with 'emacs -Q', but I also cannot
> consistently replicate it without -Q either.
> 
> Info from gdb is appended [2]. If there is anything else I can supply,
> please let me know. I am happy to compile emacs with debugging symbols
> if this is likely to be of benefit.

Yes, please compile Emacs with debug symbols, since the backtrace you
show only provides symbolic information inside Cairo, and says nothing
about where in Emacs did it crash.

If you can, please try building the emacs-29 branch of the Emacs Git
repository, since Emacs 28 will not see anymore releases, and maybe
this problem was already fixed during later development.